Bug 197233 - [UPDATE] devel/skalibs: update to 2.2.1.0 and take maintainership
Summary: [UPDATE] devel/skalibs: update to 2.2.1.0 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks: 197234
  Show dependency treegraph
 
Reported: 2015-02-01 06:03 UTC by Colin Booth
Modified: 2015-02-10 20:36 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dhn)


Attachments
unified diff to bump devel/skalibs to current (8.77 KB, text/plain)
2015-02-01 06:03 UTC, Colin Booth
no flags Details
Updated Makefile with advice from Jan Beich (8.10 KB, text/plain)
2015-02-05 15:06 UTC, Colin Booth
no flags Details
Updated patch (8.48 KB, patch)
2015-02-06 17:46 UTC, Colin Booth
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Booth 2015-02-01 06:03:09 UTC
Created attachment 152429 [details]
unified diff to bump devel/skalibs to current

I'm using s6 for supervision and the execline and skalibs in ports is very out of date. This updates the skalibs in ports to use 2.2.1.0.

This update will break any ports depending on skalibs 0.47 which at this moment is lang/execline and sysutils/runwhen. Runwhen is currently not compatible with any supported versions of skalibs, and I'll be putting in a request to update execline shortly.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-01 06:03:09 UTC
Auto-assigned to maintainer dhn@FreeBSD.org
Comment 2 Jan Beich freebsd_committer 2015-02-03 21:20:22 UTC
Comment on attachment 152429 [details]
unified diff to bump devel/skalibs to current

Same review points from bug 197234 apply here.

> +NO_ARCH=	yes

Does it build fat binaries? If some files (such as static or shared libraries) cannot be used on any architecture then drop NO_ARCH.

> +	@${MKDIR} ${STAGEDIR}${DOCSDIR}/libbiguint
> +	cd ${WRKSRC} && ${INSTALL_DATA} doc/libbiguint/*.html ${STAGEDIR}${DOCSDIR}/libbiguint
> +	@${MKDIR} ${STAGEDIR}${DOCSDIR}/libdatastruct
> +	cd ${WRKSRC} && ${INSTALL_DATA} doc/libdatastruct/*.html ${STAGEDIR}${DOCSDIR}/libdatastruct
> +	@${MKDIR} ${STAGEDIR}${DOCSDIR}/librandom
> +	cd ${WRKSRC} && ${INSTALL_DATA} doc/librandom/*.html ${STAGEDIR}${DOCSDIR}/librandom
> +	@${MKDIR} ${STAGEDIR}${DOCSDIR}/libstdcrypto
> +	cd ${WRKSRC} && ${INSTALL_DATA} doc/libstdcrypto/*.html ${STAGEDIR}${DOCSDIR}/libstdcrypto
> +	@${MKDIR} ${STAGEDIR}${DOCSDIR}/libstddjb
> +	cd ${WRKSRC} && ${INSTALL_DATA} doc/libstddjb/*.html ${STAGEDIR}${DOCSDIR}/libstddjb
> +	@${MKDIR} ${STAGEDIR}${DOCSDIR}/libunixonacid
> +	cd ${WRKSRC} && ${INSTALL_DATA} doc/libunixonacid/*.html ${STAGEDIR}${DOCSDIR}/libunixonacid

Maybe use .for loop to compress the above lines.
Comment 3 Colin Booth 2015-02-05 14:46:43 UTC
(In reply to Jan Beich from comment #2)
>> +NO_ARCH=	yes

>Does it build fat binaries? If some files (such as static or shared libraries) 
>cannot be used on any architecture then drop NO_ARCH.

skalibs doesn't generate any binaries, just headers and libraries for other programs to consume. AFAIK it's all architecture-agnostic which is why I added NO_ARCH but looking at other ports I think I misunderstood the purpost of NO_ARCH so I'm stripping that.
>Maybe use .for loop to compress the above lines.
Yeah, I must have been tired when I did that. Thank you for calling it out.

I'm making a few other changes and then will post ac leaned up makefile for both this and execline.
Comment 4 Colin Booth 2015-02-05 15:06:40 UTC
Created attachment 152585 [details]
Updated Makefile with advice from Jan Beich
Comment 5 Colin Booth 2015-02-06 17:46:03 UTC
Created attachment 152627 [details]
Updated patch
Comment 6 commit-hook freebsd_committer 2015-02-10 20:34:21 UTC
A commit references this bug:

Author: jbeich
Date: Tue Feb 10 20:33:54 UTC 2015
New revision: 378797
URL: https://svnweb.freebsd.org/changeset/ports/378797

Log:
  - devel/skalibs: update to 2.2.1.0 [1]
  - lang/execline: update to 2.0.2.0 [2]
  - Pass maintainership to the submitter [1][2]
  - Mark sysutils/runwhen as BROKEN

  PR:		197233 [1]
  PR:		197234 [2]
  Differential Revision:	https://reviews.freebsd.org/D1818
  Submitted by:	Colin Booth <colin@heliocat.net>
  Approved by:	portmgr (bapt) [1]
  Approved by:	bapt (mentor)

Changes:
  head/devel/skalibs/Makefile
  head/devel/skalibs/distinfo
  head/devel/skalibs/pkg-descr
  head/devel/skalibs/pkg-plist
  head/lang/execline/Makefile
  head/lang/execline/distinfo
  head/lang/execline/pkg-descr
  head/lang/execline/pkg-plist
  head/sysutils/runwhen/Makefile
Comment 7 Jan Beich freebsd_committer 2015-02-10 20:36:44 UTC
Committed with minor changes: whitespace and s/INSTALL_DATA/INSTALL_MAN/ for consistency. Thanks.